# Uses of Enum Class
jspecview.common.ExportType

Packages that use ExportType
Package
Description
jspecview.api
jspecview.common
jspecview.export
jspecview.java
jspecview.js2d

## Uses of ExportType in jspecview.api

Methods in jspecview.api with parameters of type ExportType
Modifier and Type
Method
Description
`String`
JSVExporter.`exportTheSpectrum(JSViewer viewer, ExportType type, OC out, Spectrum spec, int startIndex, int endIndex, PanelData pd, boolean asBase64)`
`void`
JSVFileHelper.`setFileChooser(ExportType pdf)`

## Uses of ExportType in jspecview.common

Subclasses with type arguments of type ExportType in jspecview.common
Modifier and Type
Class
Description
`enum`
`ExportType`
Methods in jspecview.common that return ExportType
Modifier and Type
Method
Description
`static ExportType`
ExportType.`getType(String type)`
`static ExportType`
ExportType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ExportType[]`
ExportType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of ExportType in jspecview.export

Methods in jspecview.export with parameters of type ExportType
Modifier and Type
Method
Description
`String`
AMLExporter.`exportTheSpectrum(JSViewer viewer, ExportType mode, OC out, Spectrum spec, int startIndex, int endIndex, PanelData pd, boolean asBase64)`
Exports the Spectrum that is displayed by JSVPanel to a file given by fileName If display is zoomed then export the current view
`String`
CMLExporter.`exportTheSpectrum(JSViewer viewer, ExportType mode, OC out, Spectrum spec, int startIndex, int endIndex, PanelData pd, boolean asBase64)`
Exports the Spectrum that is displayed by JSVPanel to a file given by fileName If display is zoomed then export the current view
`String`
Exporter.`exportTheSpectrum(JSViewer viewer, ExportType mode, OC out, Spectrum spec, int startIndex, int endIndex, PanelData pd, boolean asBase64)`
`String`
JDXExporter.`exportTheSpectrum(JSViewer viewer, ExportType type, OC out, Spectrum spectrum, int startIndex, int endIndex, PanelData pd, boolean asBase64)`
Exports spectrum in one of several formats
`String`
SVGExporter.`exportTheSpectrum(JSViewer viewer, ExportType mode, OC out, Spectrum spec, int startIndex, int endIndex, PanelData pd, boolean asBase64)`
Export a Graph as SVG to a file given by fileName

## Uses of ExportType in jspecview.java

Methods in jspecview.java with parameters of type ExportType
Modifier and Type
Method
Description
`void`
AwtFileHelper.`setFileChooser(ExportType imode)`

## Uses of ExportType in jspecview.js2d

Methods in jspecview.js2d with parameters of type ExportType
Modifier and Type
Method
Description
`void`
JsFileHelper.`setFileChooser(ExportType pdf)`